// ESA (C) 2000-2018 
//
// This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
//
//    SAS is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    SAS is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: PileupCorrector
// Author: Hassan Siddiqui
//
// Modifications: See ChangeLog
// 
// $Id: PileupCorrector.h,v 1.1.1.1 2004/02/09 14:54:12 eojero Exp $

#ifndef PileupCorrector_H
#define PileupCorrector_H

// General classes

#include <iostream>

// SAS-specific classes

// General utility functions
#include "Tracer.h"

// Local classes

// ===========================================================================

// class PileupCorrector

// Abstract class for PileupCorrector objects

// ===========================================================================

class PileupCorrector
{
public:

  //  Constructors 
  PileupCorrector(){};

  //  Destructors 
  virtual ~PileupCorrector(){};

  virtual double correction( double energy, double spatialDensity ) const  = 0;
};
#endif
